/*
 * comm.h
 *
 * Created: 2015-05-21 07:59:49
 *  Author: dsosnowski
 */ 


#ifndef COMM_H_
#define COMM_H_

void SettLoad(void);
void SettStore(void);

int16_t SettSourceGet(void);
int16_t SettTempGet(void);
int16_t SettRangeGet(void);
int16_t SettHystGet(void);
int16_t SettFuncGet(void);

char *CommSource(void);
char *CommTempSimple(int16_t temp);
char *CommVolumeSimple(int16_t temp);
char *CommRange(void);
char *CommHyst(void);
char *CommFunc(void);
void CommParamDisp(void);
void CommParamSet(char param, int16_t val);
void CommTempValue(int16_t temp, char *dest);


#define COM_PARAM_MODE		'U'		//ustawianie
#define COM_PARAM_RANGE		'Z'		//zakres
#define COM_PARAM_TEMP		'T'		//temperatura
#define COM_PARAM_HYST		'H'		//histereza
#define COM_PARAM_FUNC		'F'		//funkcja


	


#endif /* COMM_H_ */