/*
 * defs.h
 *
 * Created: 2015-01-20 14:54:06
 *  Author: dsosnowski
 */ 


#ifndef DEFS_H_
#define DEFS_H_

#define IO_PORT			PORTB
#define IO_DDR			DDRB
#define IO_PIN			PINB

#define RST_PIN			5
#define IN2_PIN			4
#define IN1_PIN			3
#define RXD_PIN			2
#define OUT_PIN			1
#define TXD_PIN			0

#define OUT_SET			(IO_PORT |= (1<<OUT_PIN))
#define OUT_OFF			(IO_PORT &= ~(1<<OUT_PIN))
#define OUT_GET			(IO_PIN & (1<<OUT_PIN))

#define POWER_CONFIG	(1<<PRTIM0 | 1<<PRUSI | 1<<PRADC)

#endif /* DEFS_H_ */