/*
 * dstemp.h
 *
 * Created: 2012-03-15 08:13:30
 *  Author: dsosnowski
 */ 


#ifndef DSTEMP_H_
#define DSTEMP_H_


#define DS_CHANNELS			2

//ds.step
#define DS_IDLE				1
#define DS_CONVERTING		2

//ds.status
#define DS_BUSY				0
#define DS_OK				1
#define DS_ERR				2
#define DS_NO_CONNECT		3

//cycle to noconnect
#define DS_ERR_MAX			6
 

void SystemUsDelay(char us);
int16_t DSTempGet(uint16_t channel);
char DSStatusGet(uint16_t channel);
char DSProcessStep(char step);
char DSProcess(char channel);

char DSReset (void);
char DSGetType (void);
void DSWriteByte(char byte);
void DSWriteBit(char bit);
char DSReadByte(void);
char DSReadBit(void);
void TempConvert(void);


#endif /* DSTEMP_H_ */