/*
 * ntctemp.h
 *
 * Created: 2015-06-12 14:12:20
 *  Author: dsosnowski
 */ 


#ifndef NTCTEMP_H_
#define NTCTEMP_H_

void NtcInit(void);

char AnalogProc(void);
uint16_t AnalogAdc(char channel);
uint16_t AnalogGet(char channel);
void AnalogRestart(void);

int16_t NtcTempCalc(uint16_t adcval);
int16_t NtcVolumeCalc(uint16_t adcval);
int16_t NtcTempGet(void);
int16_t NtcVolumeGet(void);
char NtcStatusGet(void);
char NtcTempIndex(int16_t val);
char NtcVolumeIndex(int16_t val);

#define NTC_RANGE_MAX			125
#define NTC_RANGE_MIN			-25
#define NTC_RANGE_LEN			50

#define ANALOG_CHANNELS_NUM		2
#define ANALOG_AVERAGE_COUNT	20
#define ANALOG_NTC_CHANNEL		2
#define ANALOG_VOLUME_CHANNEL	3

#define NTC_OK					0
#define NTC_SENSOR_ERROR		1
#define NTC_VOLUME_ERROR		2


#endif /* NTCTEMP_H_ */